View Issue Details

IDProjectCategoryView StatusLast Update
0032750LazarusIDEpublic2017-12-20 02:57
ReporterrobseanAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.6.4Product Build 
Target VersionFixed in Version1.8 
Summary0032750: Chinese *.po files for Lazarus IDE
DescriptionHi everyone,
  I am translating the Lazarus IDE *.po files.
  I had writed the script file which will copy the Chinese *.po file to Lazarus.
  Some *.po files has translated complete,and aome *.po files being translating.
TagsNo tags attached.
Fixed in Revision56534
LazTarget-
Widgetset
Attached Files

Activities

robsean

2017-11-29 03:59

reporter  

Lazarus-IDE.zip (263,961 bytes)

Maxim Ganetsky

2017-11-29 23:58

developer   ~0104359

Applied and merged to fixes_1_8 branch, thanks.

I recommend to translate trunk version, not released one. Also don't forget to use PoChecker. Please read <lazarusdir>\languages\README.txt for details.

What is your name (its latin transcription)? I will add you to contributors list.

robsean

2017-11-30 04:14

reporter   ~0104362

Hi,Maxim Ganetsky,
   I am from China , My Chinese latin name is "zheng jian ping" aka "robsean".
   When I finished the translation ,I will turn to translate the trunk version .

Maxim Ganetsky

2017-11-30 13:27

developer   ~0104365

You are added to contributors list.

wp

2017-12-03 19:35

developer   ~0104401

robsean, I am the author of the "translation_demo" example in folder "examples/translation" to which you provided the Chinese translation. In addition to the po file the demo contains a language selection combobox from which the user can pick the new language. Each language is listed by the language code (zh_CN) and the native language name. To make the Chinese language work in the demo I had to add the English word. But it would be better to have the Chinese word here. Could you tell me how to modify this line?

  zh_CN - Chinese

You can post it here, I can paste it into the demo directly.

robsean

2017-12-06 03:44

reporter   ~0104493

zh_CN - Chinese =>zh_CN - 简体中文

wp

2017-12-06 10:30

developer   ~0104508

Thank you, fixed in r56653. Please close the report.

P.S.
Are you aware that some texts are still untranslated in the demo?

Issue History

Date Modified Username Field Change
2017-11-29 03:59 robsean New Issue
2017-11-29 03:59 robsean File Added: Lazarus-IDE.zip
2017-11-29 13:36 Maxim Ganetsky Assigned To => Maxim Ganetsky
2017-11-29 13:36 Maxim Ganetsky Status new => assigned
2017-11-29 23:58 Maxim Ganetsky Fixed in Revision => 56534
2017-11-29 23:58 Maxim Ganetsky LazTarget => -
2017-11-29 23:58 Maxim Ganetsky Note Added: 0104359
2017-11-29 23:58 Maxim Ganetsky Status assigned => resolved
2017-11-29 23:58 Maxim Ganetsky Fixed in Version => 1.8
2017-11-29 23:58 Maxim Ganetsky Resolution open => fixed
2017-11-30 04:14 robsean Note Added: 0104362
2017-11-30 13:27 Maxim Ganetsky Note Added: 0104365
2017-12-03 19:35 wp Note Added: 0104401
2017-12-03 19:35 wp Status resolved => feedback
2017-12-03 23:46 Maxim Ganetsky Assigned To Maxim Ganetsky => wp
2017-12-06 03:44 robsean Note Added: 0104493
2017-12-06 03:44 robsean Status feedback => assigned
2017-12-06 10:30 wp Note Added: 0104508
2017-12-06 10:30 wp Status assigned => resolved